> ## Documentation Index > Fetch the complete documentation index at: https://support.fortanix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get details of a particular task > Get the details of a task. ## OpenAPI ````json GET /v1/tasks/{task-id} { "openapi": "3.0.4", "info": { "title": "Confidential Computing Manager", "description": "Fortanix Confidential Computing Manager Backend. These are APIs using which the frontend and other clients (compute node agents) interact with Fortanix Confidential Computing Manager functionalities, which include compute node and app enrollment, attestation and signing, and Certificate Authority.", "termsOfService": "https://www.fortanix.com/legal/terms/", "contact": { "name": "Fortanix Support", "url": "https://support.fortanix.com/hc/en-us/categories/360003107511-Confidential-Computing-Manager", "email": "support@fortanix.com" }, "license": { "name": "Apache 2.0", "url": "http://www.apache.org/licenses/LICENSE-2.0.html" }, "version": "2.0.0" }, "servers": [ { "url": "https://ccm.fortanix.com" } ], "paths": { "/v1/tasks/{task-id}": { "get": { "tags": [ "Task" ], "summary": "Get details of a particular task.", "description": "Get the details of a task.", "operationId": "getTask", "parameters": [ { "$ref": "#/components/parameters/TaskId" } ], "responses": { "200": { "description": "Task Details.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Task" } } } } }, "security": [ { "bearerToken": [] } ], "x-auth-resource": "Reader,Writer,Manager" } } }, "components": { "parameters": { "TaskId": { "name": "task-id", "in": "path", "description": "UUID of a task.", "required": true, "schema": { "type": "string", "format": "uuid" } } }, "schemas": { "Task": { "required": [ "approvals", "task_id", "status", "task_type", "requester_info", "entity_id" ], "type": "object", "properties": { "task_id": { "type": "string", "description": "Task Id.", "format": "uuid" }, "requester_info": { "$ref": "#/components/schemas/RequesterInfo" }, "entity_id": { "type": "string", "description": "app_id, build_id, node_id, cert_id are entity_id for app_domain_whitelisting, build_whitelisting, node_attestation and certificate_issuance respectively.", "format": "uuid" }, "task_type": { "$ref": "#/components/schemas/TaskType" }, "status": { "$ref": "#/components/schemas/TaskStatus" }, "description": { "type": "string", "description": "Task details." }, "approvals": { "type": "array", "items": { "$ref": "#/components/schemas/ApprovalInfo" } }, "domains_added": { "type": "array", "items": { "type": "string" } }, "domains_removed": { "type": "array", "items": { "type": "string" } }, "group_id": { "type": "string", "description": "Group Id", "format": "uuid" } } }, "RequesterInfo": { "required": [ "requester_type" ], "type": "object", "properties": { "user_id": { "type": "string", "description": "User Id.", "format": "uuid" }, "user_name": { "type": "string", "description": "User Name." }, "app_id": { "type": "string", "description": "App Id.", "format": "uuid" }, "app_name": { "type": "string", "description": "App Name." }, "requester_type": { "$ref": "#/components/schemas/RequesterType" } } }, "TaskType": { "enum": [ "NODE_ATTESTATION", "CERTIFICATE_ISSUANCE", "BUILD_WHITELIST", "DOMAIN_WHITELIST" ], "type": "string", "description": "The types of tasks supported." }, "TaskStatus": { "required": [ "created_at", "status_updated_at", "status" ], "type": "object", "properties": { "created_at": { "type": "integer", "description": "Task creation time", "format": "int64" }, "status_updated_at": { "type": "integer", "description": "Time since the status change.", "format": "int64" }, "status": { "$ref": "#/components/schemas/TaskStatusType" }, "error": { "$ref": "#/components/schemas/TaskError" } }, "description": "Status info for a task." }, "ApprovalInfo": { "required": [ "user_id" ], "type": "object", "properties": { "user_id": { "type": "string", "description": "User Id.", "format": "uuid" }, "user_name": { "type": "string", "description": "User Name." }, "status": { "$ref": "#/components/schemas/ApprovalStatus" }, "denial_reason": { "type": "string", "description": "Reason associated with the denial." } } }, "RequesterType": { "enum": [ "USER", "APP", "SYSTEM" ], "type": "string", "description": "Type of requester." }, "TaskStatusType": { "enum": [ "INPROGRESS", "FAILED", "SUCCESS", "DENIED" ], "type": "string", "description": "Status string for a task." }, "TaskError": { "required": [ "message" ], "type": "object", "properties": { "message": { "type": "string", "description": "Error message in case of task failures" } } }, "ApprovalStatus": { "enum": [ "APPROVED", "DENIED" ], "type": "string", "description": "Approval status." } }, "securitySchemes": { "bearerToken": { "type": "apiKey", "description": "A JWT bearer token to be passed once authenticated.", "name": "Authentication", "in": "header" } } } } ````